diff --git a/functional/ControlsTests/src/javafx/scene/control/test/ScrollPane/NewScrollPaneApp.java b/functional/ControlsTests/src/javafx/scene/control/test/ScrollPane/NewScrollPaneApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/ScrollPane/NewScrollPaneApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/ScrollPane/NewScrollPaneApp.java
@@ -113,14 +113,13 @@
 
         public ScrollPaneScene() {
             super("ScrollPane", 800, 600);
-
-            prepareScene();
         }
 
         @Override
         protected final void prepareScene() {
             Utils.addBrowser(this);
-            testedScrollPane = ScrollPaneBuilder.create().id(TESTED_SCROLLPANE_ID).build();
+            testedScrollPane = new ScrollPane();
+            testedScrollPane.setId(TESTED_SCROLLPANE_ID);
             final Node content = setCustomContent(customContentHeight, customContentWidth);
 
             final ContentMotion cm = new ContentMotion();
@@ -136,7 +135,8 @@
                 testedScrollPane.setPrefViewportHeight(scrollPaneHeight);
             }
 
-            Button changeContentButton = ButtonBuilder.create().id(CHANGE_CONTENT_BUTTON_ID).text("ChangeContent").build();
+            Button changeContentButton = new Button("ChangeContent");
+            changeContentButton.setId(CHANGE_CONTENT_BUTTON_ID);
             changeContentButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     changeContent();
@@ -144,7 +144,8 @@
                 }
             });
 
-            Button addPrefWidthAndHeightButton = ButtonBuilder.create().id(ADD_SIZE_BUTTON_ID).text("Add pref sizes").build();
+            Button addPrefWidthAndHeightButton = new Button("Add pref sizes");
+            addPrefWidthAndHeightButton.setId(ADD_SIZE_BUTTON_ID);
             addPrefWidthAndHeightButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     tb.addDoublePropertyLine(testedScrollPane.prefWidthProperty(), -100, 200, 100);
@@ -152,7 +153,8 @@
                 }
             });
 
-            Button setTextAreaAsContentButton = ButtonBuilder.create().id(CHANGE_CONTENT_TO_RESIZABLE_BUTTON_ID).text("Set blue pane as content").build();
+            Button setTextAreaAsContentButton = new Button("Set blue pane as content");
+            setTextAreaAsContentButton.setId(CHANGE_CONTENT_TO_RESIZABLE_BUTTON_ID);
             setTextAreaAsContentButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     setResizableContent();
@@ -162,35 +164,40 @@
                 }
             });
 
-            Button setCustomContentButton = ButtonBuilder.create().id(CHANGE_CONTENT_TO_CUSTOM_BUTTON_ID).text("Set custom content").build();
+            Button setCustomContentButton = new Button("Set custom content");
+            setCustomContentButton.setId(CHANGE_CONTENT_TO_CUSTOM_BUTTON_ID);
             setCustomContentButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     setCustomContent();
                 }
             });
 
-            Button buttonStart = ButtonBuilder.create().id(START_MOTION_BUTTON_ID).text("Start motion").build();
+            Button buttonStart = new Button("Start motion");
+            buttonStart.setId(START_MOTION_BUTTON_ID);
             buttonStart.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     cm.getTimeline().play();
                 }
             });
 
-            Button rotateButton = ButtonBuilder.create().id(ROTATE_BUTTON_ID).text("Rotate on 30deg").build();
+            Button rotateButton = new Button("Rotate on 30deg");
+            rotateButton.setId(ROTATE_BUTTON_ID);
             rotateButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     content.setRotate(content.getRotate() + 30);
                 }
             });
 
-            Button rotateScrollPaneButton = ButtonBuilder.create().id(ROTATE_SCROLLPANE_BUTTON_ID).text("Rotate scrollpane on 30deg").build();
+            Button rotateScrollPaneButton = new Button("Rotate scrollpane on 30deg");
+            rotateScrollPaneButton.setId(ROTATE_SCROLLPANE_BUTTON_ID);
             rotateScrollPaneButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedScrollPane.setRotate(testedScrollPane.getRotate() + 30);
                 }
             });
 
-            Button increaseScaleButton = ButtonBuilder.create().id(INCREASE_SCALE_BUTTON_ID).text("Increase scale").build();
+            Button increaseScaleButton = new Button("Increase scale");
+            increaseScaleButton.setId(INCREASE_SCALE_BUTTON_ID);
             increaseScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     content.setScaleX(content.getScaleX() + 0.15);
@@ -198,7 +205,8 @@
                 }
             });
 
-            Button decreaseScaleButton = ButtonBuilder.create().id(DECREASE_SCALE_BUTTON_ID).text("Decrease scale").build();
+            Button decreaseScaleButton = new Button("Decrease scale");
+            decreaseScaleButton.setId(DECREASE_SCALE_BUTTON_ID);
             decreaseScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     content.setScaleX(content.getScaleX() - 0.15);
@@ -206,7 +214,8 @@
                 }
             });
 
-            Button increaseScrollPaneScaleButton = ButtonBuilder.create().id(INCREASE_SCROLLPANE_SCALE_BUTTON_ID).text("Increase ScrollPane scale").build();
+            Button increaseScrollPaneScaleButton = new Button("Increase ScrollPane scale");
+            increaseScrollPaneScaleButton.setId(INCREASE_SCROLLPANE_SCALE_BUTTON_ID);
             increaseScrollPaneScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedScrollPane.setScaleX(testedScrollPane.getScaleX() + 0.15);
@@ -214,7 +223,8 @@
                 }
             });
 
-            Button decreaseScrollPaneScaleButton = ButtonBuilder.create().id(DECREASE_SCROLLPANE_SCALE_BUTTON_ID).text("Decrease ScrollPane scale").build();
+            Button decreaseScrollPaneScaleButton = new Button("Decrease ScrollPane scale");
+            decreaseScrollPaneScaleButton.setId(DECREASE_SCROLLPANE_SCALE_BUTTON_ID);
             decreaseScrollPaneScaleButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     testedScrollPane.setScaleX(testedScrollPane.getScaleX() - 0.15);
@@ -222,7 +232,8 @@
                 }
             });
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -246,8 +257,12 @@
         }
 
         private Node getAddGridPaneForm() {
-            final TextField dimension = TextFieldBuilder.create().id(GRID_DIMENSION_TEXTFIELD_ID).promptText("int-dimension").maxWidth(50).build();
-            Button addButton = ButtonBuilder.create().id(ADD_GRID_BUTTON_ID).text("Add grid").build();
+            final TextField dimension = new TextField();
+            dimension.setId(GRID_DIMENSION_TEXTFIELD_ID);
+            dimension.setPromptText("int-dimension");
+            dimension.setMaxWidth(50);
+            Button addButton = new Button("Add grid");
+            addButton.setId(ADD_GRID_BUTTON_ID);
             addButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     int c = Integer.parseInt(dimension.getText());
@@ -256,7 +271,11 @@
                     for (int i = 0; i < c; i++) {
                         for (int j = 0; j < c; j++) {
                             final String name = "B-" + String.valueOf(i) + "-" + String.valueOf(j);
-                            gridPane.add(ButtonBuilder.create().text(name).id(name).minHeight(10 * i).minWidth(10 * j).build(), i, j);
+                            Button temp = new Button(name);
+                            temp.setId(name);
+                            temp.setMinHeight(10 * i);
+                            temp.setMinWidth(10 * j);
+                            gridPane.add(temp, i, j);
                         }
                     }
                     testedScrollPane.setContent(gridPane);
@@ -291,18 +310,23 @@
 
         private void changeContent() {
             VBox vb = new VBox();
-            Button button = ButtonBuilder.create().id(CONTENT_BUTTON).text("Press me").build();
-            final TextField tf1 = TextFieldBuilder.create().id(CONTENT_TEXT_FIELD_ID).text("0").build();
+            Button button = new Button("Press me");
+            button.setId(CONTENT_BUTTON);
+            final TextField tf1 = new TextField("0");
+            tf1.setId(CONTENT_TEXT_FIELD_ID);
             button.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     tf1.setText(String.valueOf(Integer.parseInt(tf1.getText()) + 1));
                 }
             });
-            TextArea tf2 = TextAreaBuilder.create().prefHeight(100).id(CONTENT_TEXT_AREA_ID).build();
+            TextArea tf2 = new TextArea();
+            tf2.setPrefHeight(100);
+            tf2.setId(CONTENT_TEXT_AREA_ID);
             for (int i = 0; i < 15; i++) {
                 tf2.appendText("text" + i + "\n");
             }
-            Button empty = ButtonBuilder.create().text("This is empty-action button").id(WITHOUT_ACTION_BUTTON).build();
+            Button empty = new Button("This is empty-action button");
+            empty.setId(WITHOUT_ACTION_BUTTON);
 
             vb.getChildren().addAll(button, tf1, tf2, empty);
             vb.setStyle("-fx-border-color: blue;");
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/ToggleButtonNewApp.java b/functional/ControlsTests/src/javafx/scene/control/test/ToggleButtonNewApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/ToggleButtonNewApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/ToggleButtonNewApp.java
@@ -31,14 +31,10 @@
 import javafx.event.EventHandler;
 import javafx.scene.Scene;
 import javafx.scene.control.Button;
-import javafx.scene.control.ButtonBuilder;
 import javafx.scene.control.CheckBox;
-import javafx.scene.control.CheckBoxBuilder;
 import javafx.scene.control.Label;
-import javafx.scene.control.LabelBuilder;
-import javafx.scene.control.RadioButtonBuilder;
+import javafx.scene.control.RadioButton;
 import javafx.scene.control.ToggleButton;
-import javafx.scene.control.ToggleButtonBuilder;
 import javafx.scene.control.ToggleGroup;
 import javafx.scene.input.MouseEvent;
 import javafx.scene.layout.HBox;
@@ -80,21 +76,45 @@
 
         ToggleButton toggleButton1;
         ToggleButton toggleButton2;
-        CheckBox checkBox1 = CheckBoxBuilder.create().wrapText(true).text("Unidirectionally binded to\ntoggle button 1 selection property").id(CHECK_BOX_LISTENING_1_ID).build();
-        CheckBox checkBox2 = CheckBoxBuilder.create().wrapText(true).text("Unidirectionally binded to\ntoggle button 2 selection property").id(CHECK_BOX_LISTENING_2_ID).build();
-        CheckBox checkBox3 = CheckBoxBuilder.create().wrapText(true).text("This check box is bidirectionally binded\nto Toggle Button 1 selection property").id(CHECK_BOX_SETTING_1_BIDIR_ID).build();
-        CheckBox checkBox4 = CheckBoxBuilder.create().wrapText(true).text("This check box unidirectionally sets\ntoggle button 2 selection property").id(CHECK_BOX_SETTING_2_UNIDIR_ID).build();
+        CheckBox checkBox1;
+        CheckBox checkBox2;
+        CheckBox checkBox3;
+        CheckBox checkBox4;
         ToggleGroup toggleGroup = new ToggleGroup();
-        ToggleButton bindingsSettingButton = ToggleButtonBuilder.create().text("State: Unbinded").id(BINDING_SET_TOGGLE_BUTTON_ID).build();
-        ToggleButton groupingButton = ToggleButtonBuilder.create().text("State: Ungrouped").id(GROUPING_TOGGLE_BUTTON_ID).build();
-        ToggleButton testedControlChangeButton = ToggleButtonBuilder.create().text("Control: radio button").id(SETTING_CONTROL_TOGGLE_BUTTON_ID).build();
-        Button resetButton = ButtonBuilder.create().text("Reset state").id(RESET_BUTTON_ID).build();
-        Label mouseEventsLogger = LabelBuilder.create().text("0").id(MOUSE_EVENTS_LOGGER_LABEL_ID).build();
+        ToggleButton bindingsSettingButton;
+        ToggleButton groupingButton;
+        ToggleButton testedControlChangeButton;
+        Button resetButton;
+        Label mouseEventsLogger;
         VBox vb1 = new VBox();
 
         public ToggleButtonNewAppScene() {
             super(new HBox(), 800, 320);
 
+            checkBox1 = new CheckBox("Unidirectionally binded to\ntoggle button 1 selection property");
+            checkBox1.setWrapText(true);
+            checkBox1.setId(CHECK_BOX_LISTENING_1_ID);
+            checkBox2 = new CheckBox("Unidirectionally binded to\ntoggle button 2 selection property");
+            checkBox2.setWrapText(true);
+            checkBox2.setId(CHECK_BOX_LISTENING_2_ID);
+            checkBox3 = new CheckBox("This check box is bidirectionally binded\nto Toggle Button 1 selection property");
+            checkBox3.setWrapText(true);
+            checkBox3.setId(CHECK_BOX_SETTING_1_BIDIR_ID);
+            checkBox4 = new CheckBox("This check box unidirectionally sets\ntoggle button 2 selection property");
+            checkBox4.setWrapText(true);
+            checkBox4.setId(CHECK_BOX_SETTING_2_UNIDIR_ID);
+
+            bindingsSettingButton = new ToggleButton("State: Unbinded");
+            bindingsSettingButton.setId(BINDING_SET_TOGGLE_BUTTON_ID);
+            groupingButton = new ToggleButton("State: Ungrouped");
+            groupingButton.setId(GROUPING_TOGGLE_BUTTON_ID);
+            testedControlChangeButton = new ToggleButton("Control: radio button");
+            testedControlChangeButton.setId(SETTING_CONTROL_TOGGLE_BUTTON_ID);
+            resetButton = new Button("Reset state");
+            resetButton.setId(RESET_BUTTON_ID);
+            mouseEventsLogger = new Label("0");
+            mouseEventsLogger.setId(MOUSE_EVENTS_LOGGER_LABEL_ID);
+
             setControl(ControlType.RADIO_BUTTON);
 
             addButtonsListeners();
@@ -131,11 +151,15 @@
 
         private void setControl(ControlType type) {
             if (type == ControlType.RADIO_BUTTON) {
-                toggleButton1 = RadioButtonBuilder.create().text("Radio button 1").id(TOGGLE_BUTTON_1_ID).build();
-                toggleButton2 = RadioButtonBuilder.create().text("Radio button 2").id(TOGGLE_BUTTON_2_ID).build();
+                toggleButton1 = new RadioButton("Radio button 1");
+                toggleButton1.setId(TOGGLE_BUTTON_1_ID);
+                toggleButton2 = new RadioButton("Radio button 2");
+                toggleButton2.setId(TOGGLE_BUTTON_2_ID);
             } else {
-                toggleButton1 = ToggleButtonBuilder.create().text("Toggle button 1").id(TOGGLE_BUTTON_1_ID).build();
-                toggleButton2 = ToggleButtonBuilder.create().text("Toggle button 2").id(TOGGLE_BUTTON_2_ID).build();
+                toggleButton1 = new ToggleButton("Toggle button 1");
+                toggleButton1.setId(TOGGLE_BUTTON_1_ID);
+                toggleButton2 = new ToggleButton("Toggle button 2");
+                toggleButton2.setId(TOGGLE_BUTTON_2_ID);
             }
 
             vb1.getChildren().clear();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/accordion/NewAccordionApp.java b/functional/ControlsTests/src/javafx/scene/control/test/accordion/NewAccordionApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/accordion/NewAccordionApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/accordion/NewAccordionApp.java
@@ -78,14 +78,17 @@
 
         private void prepareScene() {
             pane = new Pane();
-            testedAccordion = AccordionBuilder.create().id(TESTED_ACCORDION_ID).build();
+            testedAccordion = new Accordion();
+            testedAccordion.setId(TESTED_ACCORDION_ID);
 
             PropertiesTable tb = new PropertiesTable(testedAccordion);
             PropertyTablesFactory.explorePropertiesList(testedAccordion, tb);
 
             final TabPaneWithControl tabPane = new TabPaneWithControl("Accordion", tb);
 
-            final TextField tf = TextFieldBuilder.create().id(ACCORDION_ADD_INDEX_TEXT_FIELD_ID).text("0").prefWidth(40).build();
+            final TextField tf = new TextField("0");
+            tf.setId(ACCORDION_ADD_INDEX_TEXT_FIELD_ID);
+            tf.setPrefWidth(40);
 
             HBox nodeshb = new NodesChoserFactory("Add!", new NodesChoserFactory.NodeAction<Node>() {
 
@@ -110,7 +113,8 @@
             hb.setPadding(new Insets(5, 5, 5, 5));
             hb.setStyle("-fx-border-color : green;");
 
-            Button resetButton = ButtonBuilder.create().id(RESET_BUTTON_ID).text("Reset").build();
+            Button resetButton = new Button("Reset");
+            resetButton.setId(RESET_BUTTON_ID);
             resetButton.setOnAction(new EventHandler<ActionEvent>() {
 
                 public void handle(ActionEvent t) {
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewAreaChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewAreaChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewAreaChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewAreaChartApp.java
@@ -43,6 +43,7 @@
 import javafx.scene.chart.XYChart;
 import javafx.scene.chart.XYChart.Series;
 import javafx.scene.control.*;
+import static javafx.scene.control.test.chart.apps.ChartIDsInterface.HARD_RESET_BUTTON_ID;
 import static javafx.scene.control.test.chart.apps.CommonFunctions.*;
 import javafx.scene.control.test.utils.CommonPropertiesScene;
 import javafx.scene.control.test.utils.ptables.PropertiesTable;
@@ -99,7 +100,8 @@
             testedAreaChart = getNewChart();
             testedAreaChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -109,7 +111,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -134,15 +137,22 @@
             HBox hb = new HBox();
 
             Label lb1 = new Label("To area");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_AREA_POS_TEXT_FIELD_ID).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
+            tf1.setId(ADD_AREA_POS_TEXT_FIELD_ID);
 
             Label lb2 = new Label("to index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_INDEX_TEXT_FIELD_ID).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
+            tf2.setId(ADD_INDEX_TEXT_FIELD_ID);
 
             Label lb3 = new Label("value");
-            final TextField tf3 = TextFieldBuilder.create().text("0").prefWidth(50).id(ADD_VALUE_TEXT_FIELD_ID).build();
+            final TextField tf3 = new TextField("0");
+            tf3.setPrefWidth(50);
+            tf3.setId(ADD_VALUE_TEXT_FIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("add point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("add point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int area = Integer.parseInt(tf1.getText());
@@ -164,12 +174,17 @@
             HBox hb = new HBox();
 
             Label lb1 = new Label("From area");
-            final TextField tf1 = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_AREA_POS_TEXT_FIELD_ID).build();
+            final TextField tf1 = new TextField("0");
+            tf1.setPrefWidth(50);
+            tf1.setId(REMOVE_AREA_POS_TEXT_FIELD_ID);
 
             Label lb2 = new Label("From index");
-            final TextField tf2 = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_INDEX_TEXT_FIELD_ID).build();
+            final TextField tf2 = new TextField("0");
+            tf2.setPrefWidth(50);
+            tf2.setId(REMOVE_INDEX_TEXT_FIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("remove point!").id(REMOVE_BUTTON_ID).build();
+            Button bt = new Button("remove point!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int area = Integer.parseInt(tf1.getText());
@@ -184,8 +199,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From index");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_AREA_INDEX_TEXTFIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("remove area!").id(REMOVE_AREA_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_AREA_INDEX_TEXTFIELD_ID);
+            Button bt = new Button("remove area!");
+            bt.setId(REMOVE_AREA_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -199,18 +217,27 @@
         public HBox getAddAreaHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" minX ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" maxX ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" with ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("add area!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button("add area!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
diff --git a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBarChartApp.java b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBarChartApp.java
--- a/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBarChartApp.java
+++ b/functional/ControlsTests/src/javafx/scene/control/test/chart/apps/NewBarChartApp.java
@@ -95,7 +95,8 @@
             testedBarChart = getNewChart();
             testedBarChart.setId(TESTED_CHART_ID);
 
-            Button hardResetButton = ButtonBuilder.create().id(HARD_RESET_BUTTON_ID).text("Hard reset").build();
+            Button hardResetButton = new Button("Hard reset");
+            hardResetButton.setId(HARD_RESET_BUTTON_ID);
             hardResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     HBox hb = (HBox) getRoot();
@@ -105,7 +106,8 @@
                 }
             });
 
-            Button softResetButton = ButtonBuilder.create().id(SOFT_RESET_BUTTON_ID).text("Soft reset").build();
+            Button softResetButton = new Button("Soft reset");
+            softResetButton.setId(SOFT_RESET_BUTTON_ID);
             softResetButton.setOnAction(new EventHandler<ActionEvent>() {
                 public void handle(ActionEvent t) {
                     //throw new UnsupportedOperationException("Not supported yet.");
@@ -129,8 +131,11 @@
         public HBox getRemoveDataDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From position");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).id(REMOVE_ITEM_POS_TEXT_FIELD_ID).build();
-            Button bt = ButtonBuilder.create().text("Remove!").id(REMOVE_BUTTON_ID).build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            tf.setId(REMOVE_ITEM_POS_TEXT_FIELD_ID);
+            Button bt = new Button("Remove!");
+            bt.setId(REMOVE_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -144,8 +149,9 @@
         public HBox getRemoveCategoryDialog() {
             HBox hb = new HBox();
             Label lb = new Label("From index");
-            final TextField tf = TextFieldBuilder.create().text("0").prefWidth(50).build();
-            Button bt = ButtonBuilder.create().text("Remove category!").build();
+            final TextField tf = new TextField("0");
+            tf.setPrefWidth(50);
+            Button bt = new Button("Remove category!");
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tf.getText());
@@ -160,12 +166,14 @@
         public HBox getAddCategoryDialog() {
             HBox hb = new HBox();
             Label lb = new Label("Category");
-            final TextField tf = TextFieldBuilder.create().text("").prefWidth(50).build();
+            final TextField tf = new TextField("");
+            tf.setPrefWidth(50);
 
             Label lind = new Label("to index");
-            final TextField tfind = TextFieldBuilder.create().text("0").prefWidth(50).build();
+            final TextField tfind = new TextField("0");
+            tfind.setPrefWidth(50);
 
-            Button bt = ButtonBuilder.create().text("Add!").build();
+            Button bt = new Button("Add!");
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     int index = Integer.parseInt(tfind.getText());
@@ -180,18 +188,27 @@
         public HBox getAddItemHBox() {
             HBox hb = new HBox();
             Label lb = new Label("Add series named ");
-            final TextField tf = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_NAME_TEXTFIELD_ID).build();
+            final TextField tf = new TextField();
+            tf.setPrefWidth(50);
+            tf.setId(ADDED_SERIES_NAME_TEXTFIELD_ID);
 
             Label minLabel = new Label(" min ");
-            final TextField minText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID).build();
+            final TextField minText = new TextField();
+            minText.setPrefWidth(50);
+            minText.setId(ADDED_SERIES_MIN_VALUE_TEXTFIELD_ID);
 
             Label maxLabel = new Label(" max ");
-            final TextField maxText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID).build();
+            final TextField maxText = new TextField();
+            maxText.setPrefWidth(50);
+            maxText.setId(ADDED_SERIES_MAX_VALUE_TEXTFIELD_ID);
 
             Label amountLabel = new Label(" amount ");
-            final TextField amountText = TextFieldBuilder.create().prefWidth(50).id(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID).build();
+            final TextField amountText = new TextField();
+            amountText.setPrefWidth(50);
+            amountText.setId(ADDED_SERIES_DOTS_COUNT_TEXTFIELD_ID);
 
-            Button bt = ButtonBuilder.create().text("Add!").id(ADD_SERIES_COMMAND_BUTTON_ID).build();
+            Button bt = new Button("Add!");
+            bt.setId(ADD_SERIES_COMMAND_BUTTON_ID);
             bt.setOnAction(new EventHandler() {
                 public void handle(Event t) {
                     String serieName = tf.getText();
